Bug 1500057 - Boot crash after "EFI stub: UEFI Secure Boot is enabled." on Surface Book
Summary: Boot crash after "EFI stub: UEFI Secure Boot is enabled." on Surface Book
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1500056 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-09 19:06 UTC by Chatty
Modified: 2018-02-23 20:29 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Surface Book i7-6600U / 16GB
Last Closed: 2018-02-23 20:29:48 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1501362 'unspecified' 'CLOSED' 'Intel microcode not updating --> [Firmware Bug]: TSC_DEADLINE disabled due to Errata; please update microcode to versio... 2019-11-26 17:22:44 UTC

Internal Links: 1501362

Description Chatty 2017-10-09 19:06:52 UTC
Description of problem: Computer freezes after above message. No error output.


Version-Release number of selected component (if applicable): tested
Fedora-Workstation-Live-x86_64-Rawhide-20171009.n.0.iso 
Fedora-Workstation-Live-x86_64-27-20171008.n.0.iso

How reproducible: every time


Steps to Reproduce:
1. boot from usb key

Actual results: computer freezes


Expected results: computer boots fine


Additional info: F26 boots just fine

Comment 1 Chatty 2017-10-18 08:46:14 UTC
ubuntu-17.10-beta2-desktop-amd64.iso also crashes on loading the kernel. Giving in GRUB CLI the final boot command immediately freezes the computer.

Comment 3 Jeremy Cline 2017-10-19 19:06:31 UTC
*** Bug 1500056 has been marked as a duplicate of this bug. ***

Comment 4 Chatty 2017-10-26 20:54:42 UTC
Is somebody on this? Possibly all Surface Book users (maybe only those with the dedicated NVidia chip) can't use F27 live ISO atm. It would be helpful if we could at least work on some workaround (updated initrd with latest Intel ucode for instance).

Comment 5 Chatty 2017-10-29 06:14:16 UTC
The solution to this bug is very easy: I inserted intel_ucode.img (taken from archlinux-2017.10.01-x86_64.iso) as first initrd and rawhide booted up fine.

Comment 6 Chatty 2018-02-23 20:29:48 UTC
This bug has become obsolete as Microsoft has updated the UEFI and microcode to 0xc2 which no longer blocks system from booting.


Note You need to log in before you can comment on or make changes to this bug.